GPU error when run "sudo nvgpuswitch.py install dGPU -i"

[9/12] Executing.
apt update && apt install -y cuda-11-1=11.1.1-1 cuda-drivers=460.32.03-1 cuda-drivers-460=460.32.03-1 libnvidia-cfg1-460=460.73.01-0ubuntu1 libnvidia-common-460=460.73.01-0ubuntu1 libnvidia-compute-460=460.73.01-0ubuntu1 libnvidia-decode-460=460.73.01-0ubuntu1 libnvidia-encode-460=460.73.01-0ubuntu1 libnvidia-extra-460=460.73.01-0ubuntu1 libnvidia-fbc1-460=460.73.01-0ubuntu1 libnvidia-gl-460=460.73.01-0ubuntu1 libnvidia-ifr1-460=460.73.01-0ubuntu1 nvidia-compute-utils-460=460.73.01-0ubuntu1 nvidia-dkms-460=460.73.01-0ubuntu1 nvidia-driver-460=460.73.01-0ubuntu1 nvidia-kernel-common-460=460.73.01-0ubuntu1 nvidia-kernel-source-460=460.73.01-0ubuntu1 nvidia-utils-460=460.73.01-0ubuntu1 xserver-xorg-video-nvidia-460=460.73.01-0ubuntu1 nvidia-container-runtime=3.4.2-1 nvidia-container-toolkit=1.5.1-1 nvidia-l4t-camera=32.5.1-20210219084708 nvidia-l4t-configs=32.5.1-20210219084708 nvidia-l4t-core=32.5.1-20210219084708 nvidia-l4t-firmware=32.5.1-20210219084708 nvidia-l4t-gstreamer=32.5.1-20210219084708 nvidia-l4t-init=32.5.1-20210219084708 nvidia-l4t-initrd=32.5.1-20210219084708 nvidia-l4t-multimedia=32.5.1-20210219084708 nvidia-l4t-multimedia-utils=32.5.1-20210219084708 nvidia-l4t-tools=32.5.1-20210219084708 nvidia-l4t-xusb-firmware=32.5.1-20210219084708 nvidia-l4t-kernel=4.9.201-tegra-32.5.1-20210219084708 nvidia-l4t-kernel-dtbs=4.9.201-tegra-32.5.1-20210219084708 nvidia-l4t-kernel-headers=4.9.201-tegra-32.5.1-20210219084708 tensorrt=7.2.2.0-1+cuda11.1 python-libnvinfer=7.2.2-1+cuda11.1 python-libnvinfer-dev=7.2.2-1+cuda11.1 python3-libnvinfer=7.2.2-1+cuda11.1 python3-libnvinfer-dev=7.2.2-1+cuda11.1 graphsurgeon-tf=7.2.2-1+cuda11.1 onnx-graphsurgeon=7.2.2-1+cuda11.1 uff-converter-tf=7.2.2-1+cuda11.1

Get:2 Index of /compute/cuda/repos/ubuntu1804/sbsa InRelease [1,575 B]
Hit:3 https://nvidia.github.io/libnvidia-container/stable/ubuntu18.04/arm64 InRelease
Hit:4 https://nvidia.github.io/nvidia-container-runtime/stable/ubuntu18.04/arm64 InRelease
Hit:1 https://repo.download.nvidia.com/jetson/jetson-clara45/dgpu-rm r32.5 InRelease
Err:2 Index of /compute/cuda/repos/ubuntu1804/sbsa InRelease
The following signatures couldn’t be verified because the public key is not available: NO_PUBKEY A4B469963BF863CC
Hit:5 Index of /ubuntu-ports bionic InRelease
Hit:6 Index of /ubuntu-ports bionic-updates InRelease
Hit:7 Index of /ubuntu-ports bionic-backports InRelease
Hit:8 Index of /ubuntu-ports bionic-security InRelease
Reading package lists… Done
W: GPG error: Index of /compute/cuda/repos/ubuntu1804/sbsa InRelease: The following signatures couldn’t be verified because the public key is not available: NO_PUBKEY A4B469963BF863CC
E: The repository ‘Index of /compute/cuda/repos/ubuntu1804/sbsa InRelease’ is not signed.
N: Updating from such a repository can’t be done securely, and is therefore disabled by default.
N: See apt-secure(8) manpage for repository creation and user configuration details.
ERROR: Install dGPU drivers failed!

Tried to update GPU repo key by following:https://developer.nvidia.com/blog/updating-the-cuda-linux-gpg-repository-key/

Then got the following error:
[9/12] Executing.
apt update && apt install -y cuda-11-1=11.1.1-1 cuda-drivers=460.32.03-1 cuda-drivers-460=460.32.03-1 libnvidia-cfg1-460=460.73.01-0ubuntu1 libnvidia-common-460=460.73.01-0ubuntu1 libnvidia-compute-460=460.73.01-0ubuntu1 libnvidia-decode-460=460.73.01-0ubuntu1 libnvidia-encode-460=460.73.01-0ubuntu1 libnvidia-extra-460=460.73.01-0ubuntu1 libnvidia-fbc1-460=460.73.01-0ubuntu1 libnvidia-gl-460=460.73.01-0ubuntu1 libnvidia-ifr1-460=460.73.01-0ubuntu1 nvidia-compute-utils-460=460.73.01-0ubuntu1 nvidia-dkms-460=460.73.01-0ubuntu1 nvidia-driver-460=460.73.01-0ubuntu1 nvidia-kernel-common-460=460.73.01-0ubuntu1 nvidia-kernel-source-460=460.73.01-0ubuntu1 nvidia-utils-460=460.73.01-0ubuntu1 xserver-xorg-video-nvidia-460=460.73.01-0ubuntu1 nvidia-container-runtime=3.4.2-1 nvidia-container-toolkit=1.5.1-1 nvidia-l4t-camera=32.5.1-20210219084708 nvidia-l4t-configs=32.5.1-20210219084708 nvidia-l4t-core=32.5.1-20210219084708 nvidia-l4t-firmware=32.5.1-20210219084708 nvidia-l4t-gstreamer=32.5.1-20210219084708 nvidia-l4t-init=32.5.1-20210219084708 nvidia-l4t-initrd=32.5.1-20210219084708 nvidia-l4t-multimedia=32.5.1-20210219084708 nvidia-l4t-multimedia-utils=32.5.1-20210219084708 nvidia-l4t-tools=32.5.1-20210219084708 nvidia-l4t-xusb-firmware=32.5.1-20210219084708 nvidia-l4t-kernel=4.9.201-tegra-32.5.1-20210219084708 nvidia-l4t-kernel-dtbs=4.9.201-tegra-32.5.1-20210219084708 nvidia-l4t-kernel-headers=4.9.201-tegra-32.5.1-20210219084708 tensorrt=7.2.2.0-1+cuda11.1 python-libnvinfer=7.2.2-1+cuda11.1 python-libnvinfer-dev=7.2.2-1+cuda11.1 python3-libnvinfer=7.2.2-1+cuda11.1 python3-libnvinfer-dev=7.2.2-1+cuda11.1 graphsurgeon-tf=7.2.2-1+cuda11.1 onnx-graphsurgeon=7.2.2-1+cuda11.1 uff-converter-tf=7.2.2-1+cuda11.1

E: Conflicting values set for option Signed-By regarding source Index of /compute/cuda/repos/ubuntu1804/sbsa /: /usr/share/keyrings/cuda-archive-keyring.gpg !=
E: The list of sources could not be read.
ERROR: Install dGPU drivers failed!

Hello, I have not seen this error before, but did you try the suggestion under Duplicate .list entries in the developer blog?

Hi, I have just solved the conflicting issue. Here is the new error:

[9/12] Executing.
apt update && apt install -y cuda-11-1=11.1.1-1 cuda-drivers=460.32.03-1 cuda-drivers-460=460.32.03-1 libnvidia-cfg1-460=460.73.01-0ubuntu1 libnvidia-common-460=460.73.01-0ubuntu1 libnvidia-compute-460=460.73.01-0ubuntu1 libnvidia-decode-460=460.73.01-0ubuntu1 libnvidia-encode-460=460.73.01-0ubuntu1 libnvidia-extra-460=460.73.01-0ubuntu1 libnvidia-fbc1-460=460.73.01-0ubuntu1 libnvidia-gl-460=460.73.01-0ubuntu1 libnvidia-ifr1-460=460.73.01-0ubuntu1 nvidia-compute-utils-460=460.73.01-0ubuntu1 nvidia-dkms-460=460.73.01-0ubuntu1 nvidia-driver-460=460.73.01-0ubuntu1 nvidia-kernel-common-460=460.73.01-0ubuntu1 nvidia-kernel-source-460=460.73.01-0ubuntu1 nvidia-utils-460=460.73.01-0ubuntu1 xserver-xorg-video-nvidia-460=460.73.01-0ubuntu1 nvidia-container-runtime=3.4.2-1 nvidia-container-toolkit=1.5.1-1 nvidia-l4t-camera=32.5.1-20210219084708 nvidia-l4t-configs=32.5.1-20210219084708 nvidia-l4t-core=32.5.1-20210219084708 nvidia-l4t-firmware=32.5.1-20210219084708 nvidia-l4t-gstreamer=32.5.1-20210219084708 nvidia-l4t-init=32.5.1-20210219084708 nvidia-l4t-initrd=32.5.1-20210219084708 nvidia-l4t-multimedia=32.5.1-20210219084708 nvidia-l4t-multimedia-utils=32.5.1-20210219084708 nvidia-l4t-tools=32.5.1-20210219084708 nvidia-l4t-xusb-firmware=32.5.1-20210219084708 nvidia-l4t-kernel=4.9.201-tegra-32.5.1-20210219084708 nvidia-l4t-kernel-dtbs=4.9.201-tegra-32.5.1-20210219084708 nvidia-l4t-kernel-headers=4.9.201-tegra-32.5.1-20210219084708 tensorrt=7.2.2.0-1+cuda11.1 python-libnvinfer=7.2.2-1+cuda11.1 python-libnvinfer-dev=7.2.2-1+cuda11.1 python3-libnvinfer=7.2.2-1+cuda11.1 python3-libnvinfer-dev=7.2.2-1+cuda11.1 graphsurgeon-tf=7.2.2-1+cuda11.1 onnx-graphsurgeon=7.2.2-1+cuda11.1 uff-converter-tf=7.2.2-1+cuda11.1

Hit:3 Index of /compute/cuda/repos/ubuntu1804/sbsa InRelease
Hit:1 https://repo.download.nvidia.com/jetson/jetson-clara45/jetson-rm/t194 r32.5 InRelease
Hit:2 https://repo.download.nvidia.com/jetson/jetson-clara45/jetson-rm/common r32.5 InRelease
Hit:4 Index of /ubuntu-ports bionic InRelease
Get:5 Index of /ubuntu-ports bionic-updates InRelease [88.7 kB]
Get:6 Index of /ubuntu-ports bionic-backports InRelease [74.6 kB]
Get:7 Index of /ubuntu-ports bionic-security InRelease [88.7 kB]
Get:8 Index of /ubuntu-ports bionic-updates/main arm64 DEP-11 Metadata [291 kB]
Get:9 Index of /ubuntu-ports bionic-updates/universe arm64 DEP-11 Metadata [295 kB]
Get:10 Index of /ubuntu-ports bionic-backports/universe arm64 DEP-11 Metadata [9,276 B]
Get:11 Index of /ubuntu-ports bionic-security/main arm64 DEP-11 Metadata [49.2 kB]
Get:12 Index of /ubuntu-ports bionic-security/universe arm64 DEP-11 Metadata [54.8 kB]
Fetched 952 kB in 2s (456 kB/s)
Reading package lists… Done
Building dependency tree
Reading state information… Done
9 packages can be upgraded. Run ‘apt list --upgradable’ to see them.
Reading package lists… Done
Building dependency tree
Reading state information… Done
E: Version ‘3.4.2-1’ for ‘nvidia-container-runtime’ was not found
E: Version ‘1.5.1-1’ for ‘nvidia-container-toolkit’ was not found
E: Version ‘7.2.2.0-1+cuda11.1’ for ‘tensorrt’ was not found
E: Version ‘7.2.2-1+cuda11.1’ for ‘python-libnvinfer’ was not found
E: Version ‘7.2.2-1+cuda11.1’ for ‘python-libnvinfer-dev’ was not found
E: Version ‘7.2.2-1+cuda11.1’ for ‘python3-libnvinfer’ was not found
E: Version ‘7.2.2-1+cuda11.1’ for ‘python3-libnvinfer-dev’ was not found
E: Version ‘7.2.2-1+cuda11.1’ for ‘graphsurgeon-tf’ was not found
E: Unable to locate package onnx-graphsurgeon
E: Version ‘7.2.2-1+cuda11.1’ for ‘uff-converter-tf’ was not found
ERROR: Install dGPU drivers failed!

It has been solved. Thank you for your attention!